6D.ai SDK Supported Devices

The 6D SDK currently supports the following set of iOS devices. Our Android SDK is being finalized, and we will be working with developers that registered for that beta to aggregate a list of supported devices.
Year
 
Supported iPhones
Identify your iPhone model
Supported iPads
Identify your iPad model
2019 iPhone 11
iPhone 11 Pro
iPhone 11 Pro Max
iPad Air (3rd Gen)
iPad Mini (5th Gen)
iPad (7th Gen)
2018 iPhone XS
iPhone XS Max
iPhone XR
iPad Pro 12.9" (3rd Gen)
iPad Pro 11" (3rd Gen)
iPad 9.7" (6th Gen)
2017 iPhone X
iPhone 8
iPhone 8 Plus
iPad Pro 12.9" (2nd Gen)
iPad Pro 10.5" (2nd Gen)
2016 iPhone 7
iPhone 7 Plus
iPad Pro 9.7"
2015 iPad Pro 12.9" (1st Gen)
Not supported*:
  • iPhone 6S (2015) and lower
  • iPad 5th Gen (2017) and lower
  • iPad Air 2 (2014) and lower
  • iPad Mini 4 (2015) and lower
* The SDK ​will not initialize​​ on those devices, even if they support ARKit. The API method SixDegreesSDK_IsDeviceSupported() can be used at runtime to detect if the device is supported by the SDK.